modules:
  - from-file: common/docker-engine.yml
  - type: files
    files:
      - source: gcloud
        destination: /
      - source: kubectl
        destination: /
  - type: rpm-ostree
    repos:
      - https://pkg.earthly.dev/earthly.repo
      - https://cli.github.com/packages/rpm/gh-cli.repo
    install:
      - cmake
      - "gcc-c++"
      - earthly
      - kubectl
      - helm
      - pylsp
      - parallel
      - gcc-aarch64-linux-gnu
      - gcc-c++-aarch64-linux-gnu
      - musl-gcc
      - openssl-devel
      - bat
      - gh
      - go
      - git-lfs
      - google-cloud-cli
      - erlang
      - erlang-doc
      - elixir
      - elixir-doc
      - zlib-devel
      - glab
  - type: script
    scripts:
      - install-mkcert.sh
      - install-codelldb.sh
    # snippets:
    #   - curl -fsSL https://ollama.com/install.sh | sed 's|/usr/local/bin||' | sh
